<HTML>
<HEAD>
<TITLE>PySNMP: I/O engine: Asynchronous: Manager: Objects</TITLE>
</HEAD>

<BODY BGCOLOR="#ffffff" TEXT="#000000"
      LINK="#0000bb"  VLINK="#551a8b" ALINK="#ff0000">
<H3>
Objects of the <STRONG>asynrole.manager</STRONG> class
</H3>

<P>
The instances of <STRONG>asynrole.manager</STRONG> class have the following
methods:
</P>

<DL>
<DT><STRONG>send</STRONG>(<STRONG>req</STRONG>[, <STRONG>dst</STRONG>])</DT>
<DD>
<P>
Attempt to send request data item <STRONG>req</STRONG> (string) to remote
server by either <STRONG>dst</STRONG> address (given in <STRONG>socket</STRONG>
module notation), if specified, or default destination whenever given on
<STRONG>asynrole.manager</STRONG> class instaniation.
</P>
<P>
The callback function, as specified on <STRONG>manager</STRONG> class
instanitation, will be invoked on response arrival or error.
</P>

</DD>
</DL>

<P>
Objects of <STRONG>asynrole.manager</STRONG> class have no public
instance variables.
</P>

<HR>

<ADDRESS>
ilya@glas.net
</ADDRESS>

</BODY>
</HTML>